package com.red.circle.other.app.service.user.material;

import com.red.circle.common.business.dto.cmd.AppExtCommand;
import com.red.circle.other.app.dto.cmd.user.material.UserSwitchBadgeCmd;
import com.red.circle.other.app.dto.cmd.user.material.UserToggleBadgeCmd;
import com.red.circle.other.inner.model.dto.material.BadgeConfigDetailsDTO;
import com.red.circle.other.inner.model.dto.material.UseOwnBadgeDTO;

import java.util.List;

/**
 * 用户徽章，服务.
 *
 * @author pengliang on 2023/7/24
 */
public interface UserBadgeService {

  void switchBadge(UserSwitchBadgeCmd cmd);

  List<BadgeConfigDetailsDTO> useWearBadge(AppExtCommand cmd);

  List<UseOwnBadgeDTO> ownedBadge(AppExtCommand cmd, String type);

  void toggleBadge(UserToggleBadgeCmd cmd);

}
